<?php
	include_once("core/basededatos.php");
	include_once("core/Usuario.php");
	include_once("core/Paciente.php");
	include_once("core/Semana.php");
	include_once("core/Historia.php");
	include_once("core/Cita.php");
	include_once("core/Documento.php");
	session_start();	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="application/xhtml+xml; charset=ISO-8859-1" />
<link type="text/css" rel="stylesheet" media="all" href="../style.css"/>
<link rel="shortcut icon" type="image/x-icon" href="../favicon.ico">
<!-- include jQuery library -->
<script type="text/javascript" src="../js/jquery.js"></script>
<script type="text/javascript" src="../js/vanadium.js"></script>

<title>CECOM - Centro de Cirugía Oral y Maxilofacial - La Paz B.C.S.</title>
</head>
<body>
	<?
		$id = $_GET['id'];
		if (!$_SESSION['ObjetoUsuario']) { ?>
			 <script language="javascript">window.location="consultorio.php";</script>
		<?php
        } else {
			$usuario = $_SESSION['ObjetoUsuario'];
			$usuario->acceso($id);
		}
		
		$cita = $_SESSION['ObjetoCita'];
		$semana = $_SESSION['ObjetoSemana'];
		
		$textodia = $cita->diaCita($semana);
		
		$paciente = new Paciente();
		$paciente->nombre = $_POST['txt_nombre'];
		$paciente->apellidop = $_POST['txt_apellidop'];
		$paciente->apellidom = $_POST['txt_apellidom'];
		$paciente->telefonocasa = $_POST['txt_telefono'];
		$paciente->activo = 'si';
		if (!$paciente->agregarobjeto()) {
			echo "Error al agregar al Paciente. Comunicarse con el administrador.";
		} else {
			$paciente->id = $paciente->max();
		}
		
	?>
    <div align="center">
    	<div id="container">
        	<div id="cuerpo">
            <!--- Header --->
                <div id="arribapagina"></div>
                <div id="arriba">
                    <div id="fondo_izq"></div>
                    <div id="logo"><img alt="cecom" src="../img/logo_CECOM.jpg" width="400" height="150" /></div>
                    <div id="fondo_izq_sistema"><h2 align="center">Sistema Consultorio</h2>
                    	<div id="menu_sistema"><a class="item_menu" href="menu.php?id=<?php echo $id; ?>&date=<?php echo $semana->semanaactual; ?>">- Menu</a> <a class="item_menu_exit" href="consultorio.php">- Salir</a></div>
                    </div>
                    
                </div>
                <div id="separacion_linea"></div>
                
            <!---Cuerpo--->           
            <div id="cuerpo_sistema">
            	<?php
						$cita->id_paciente = $paciente->id;
						$cita->motivo = $_POST['txt_motivo'];
						$cita->status = "activo";
						$cita->comentario = "Sin comentario";
						$cita->obtenerFecha($semana->semanaactual);
						$cita->agregarobjeto();
				?>
                	 <h3 align="left">Datos Cita Para: <?php echo $paciente->nombre." ".$paciente->apellidop." ".$paciente->apellidom; ?> el Dia: <?php echo $textodia; ?></h3>
                     <p align="left">Se agregan los datos de la cita</p>
                     <p><a href="menu.php?id=<?php echo $id; ?>&date=<?php echo $semana->semanaactual; ?>">Ir al calendario</a></p>
            </div>    
            
            <!--Pie-->    
        	<div id="footer">
            <p>CECOM Centro de Cirugía Oral y Maxilofacial</p>
            </div>
       </div>
	</div>
</body>
</html>
